<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>HexPlot: /home/ericabro/HexPlot/20200528/HGCAL_sensor_analysis/src/utils/fit_utils.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>/home/ericabro/HexPlot/20200528/HGCAL_sensor_analysis/src/utils/fit_utils.h</h1><a href="fit__utils_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00007"></a>00007 <span class="preprocessor">#ifndef FIT_UTILS_H</span>
<a name="l00008"></a>00008 <span class="preprocessor"></span><span class="preprocessor">#define FIT_UTILS_H</span>
<a name="l00009"></a>00009 <span class="preprocessor"></span>
<a name="l00010"></a>00010 <span class="preprocessor">#include &lt;utility&gt;</span>
<a name="l00011"></a>00011 <span class="preprocessor">#include &lt;vector&gt;</span>
<a name="l00012"></a>00012 
<a name="l00013"></a>00013 <span class="preprocessor">#include &lt;TMath.h&gt;</span>
<a name="l00014"></a>00014 <span class="preprocessor">#include &quot;TF1.h&quot;</span>
<a name="l00015"></a>00015 
<a name="l00028"></a><a class="code" href="classranged__fit__func.html">00028</a> <span class="keyword">class </span><a class="code" href="classranged__fit__func.html" title="A wrapper to limit ROOT fits to given ranges.">ranged_fit_func</a> {
<a name="l00029"></a>00029  <span class="keyword">private</span>:
<a name="l00031"></a><a class="code" href="classranged__fit__func.html#a3e9672c33e62f37073655f61b1561ff0">00031</a>   std::vector&lt;double&gt; <a class="code" href="classranged__fit__func.html#a3e9672c33e62f37073655f61b1561ff0" title="A list of ranges {min1, max1, min2, max2...}.">ranges</a>;
<a name="l00033"></a>00033   Double_t (*<a class="code" href="classranged__fit__func.html#adc48754aa67de9eb760b7ccb1a8d5181" title="The function that will be wrapped.">fitfunc</a>)(Double_t*, Double_t*);
<a name="l00034"></a>00034 
<a name="l00035"></a>00035  <span class="keyword">public</span>:
<a name="l00037"></a>00037   <a class="code" href="classranged__fit__func.html#a9cf10f83ecc6c59bcf2c5b4d2c96e188" title="Construct a ranged function from a given function and a list of ranges.">ranged_fit_func</a>(Double_t (*f)(Double_t*, Double_t*), std::vector&lt;double&gt; r);
<a name="l00038"></a>00038 
<a name="l00040"></a>00040   Double_t <a class="code" href="classranged__fit__func.html#a6d9f426b09b97a8c2a0165a588358633" title="When an instance of this class is used to construct a TF1, the operator method is...">operator()</a>(Double_t* x, Double_t* par);
<a name="l00041"></a>00041 };
<a name="l00042"></a>00042 
<a name="l00043"></a>00043 <span class="preprocessor">#endif</span>
</pre></div></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 29 May 2020 for HexPlot by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
